pearson-drawer {
  box-sizing: border-box;
  position: fixed;
  display: block;
  height: 100%;
  width: 320px;
  top: 0;
  right: -320px;
  bottom: 0;
  border-left: 1px solid #d9d9d9;
  border-bottom: 30px solid #fff;
  box-shadow: 0px 0px 5px 0px rgba(199, 199, 199, 1);
  background-color: #fff;
  z-index: 12000;
}

pearson-drawer(:not(.animated)) {
  visibility: hidden;
}

pearson-drawer([open]:not(.animated)) {
  visibility: visible;
  right: 0;
}

@media (prefers-reduced-motion) {
pearson-drawer(:not([open])) {
  visibility: hidden;
}

pearson-drawer([open]) {
  visibility: visible;
  right: 0;
}
}

pearson-drawer *,
pearson-drawer *::after,
pearson-drawer *::before {
  box-sizing: border-box;
}

* {
  &::part(heading) {
    @include heading();
  }
  &::part(content) {
    padding: $padding;
    position: relative;
    margin-top: $margin;
    padding-bottom:32px;
  }

  &::part(content-container) {
    height: calc(100% - 30px);
    overflow-y: auto;
  }

  &::part(heading-container) {
    padding:$padding;
    border-bottom: $border;
    height:75px;
  }


  &::part(text) {
    @include text();
  }

  &::part(button), button {
    @include button();
    @include button-default();
    align-self: center;
    justify-self: center;
  }

  &::part(close-button) {
    @include button-icon();
  }

  &::part(back-button) {
    @include button-icon();
    left:0;
  }

  &::part(button-text) {
    font-size:$text-size;
    font-family: $font-family;
    margin-right:$mini-unit;
    margin-left:$large-unit;
  }
  &::part(link), a {
    @include link();
  }

}

